FROM rust:1.81-bookworm as build

COPY battlesnake/ /usr/app
WORKDIR /usr/app

RUN cargo install --path .

FROM debian:bookworm
COPY --from=build /usr/local/cargo/bin/battlesnake /bin/battlesnake

CMD ["battlesnake"]
